#include "smconf.h"
#include <stdio.h>
#include <stdlib.h>

int
main(int argc, char **argv)
{
#if HAVE_SYS_TYPES_H
	printf("#include <sys/types.h>\n");
#endif
#ifdef HAVE_INTTYPES_H
	printf("#include <inttypes.h>\n");
#endif
#ifdef HAVE_STDINT_H
	printf("#include <stdint.h>\n");
#endif
#ifdef HAVE_UNISTD_H
	printf("#include <unistd.h>\n");
#endif
	printf("typedef %s sm_int8_T;\n", SM_INT8_T);
	printf("typedef %s sm_uint8_T;\n", SM_UINT8_T);
	printf("typedef %s sm_int16_T;\n", SM_INT16_T);
	printf("typedef %s sm_uint16_T;\n", SM_UINT16_T);
	printf("typedef %s sm_int32_T;\n", SM_INT32_T);
	printf("typedef %s sm_uint32_T;\n", SM_UINT32_T);
#if HAVE_STDBOOL_H
	printf("#include <stdbool.h>\n");
	printf("typedef bool sm_bool_T;\n");
#else /* HAVE_STDBOOL_H */
	printf("typedef int sm_bool_T;\n");
	printf("#define false	0\n");
	printf("#define true	1\n");
#endif /* HAVE_STDBOOL_H */
	return 0;
}	
	
	
