#!/bin/sh
# $Id: common.sh,v 1.11 2007/02/02 02:03:03 ca Exp $
# Copyright (c) 2004, 2005 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
# ------------------------------------------------------------
# Description:
# Initialize some variables used by many smar test programs
# ------------------------------------------------------------

# see include/sm/mta.h

MTA_LOCALHOST=${MTA_LOCALHOST:-"127.0.0.1"}
MTA_LMTPIPV4D=${MTA_LMTPIPV4D:-"127.0.0.255"}
MTA_LMTPIPV4H=${MTA_LMTPIPV4H:-"7f0000ff"}
# export MTA_LOCALHOST MTA_LMTPIPV4D MTA_LMTPIPV4H

ALI=aliases
ALIMAP=${ALI}.db
ACC=access
ACCMAP=${ACC}.db
MT=mt
MTMAP=${MT}
# temporary hack
MTMAPDB=${MT}.db

ALOG=a.log

MM=../libsmmap/t-mm

SOCK=qmsmar/qmsmar

PIDS=pids
ERRS=0

MAPC=mapc
MMMAPC=mmmapc

SHELL=/bin/sh
test -x /bin/ksh && SHELL=/bin/ksh

CAT=cat

# XREF: SMTP_R_CONT
SMAR_DFLT_RES=399
