/*
 * $Id: tlsreqcnf.h,v 1.5 2007/06/13 04:43:09 ca Exp $
 */

#ifndef SM_TLSREQCNF_H
#define SM_TLSREQCNF_H 1

#include "sm/generic.h"
#include "sm/types.h"

/* TLS configuration context */
typedef struct tlsreq_cnf_S		tlsreq_cnf_T, *tlsreq_cnf_P;
struct tlsreq_cnf_S
{
	const char	*tlsreqcnf_common_name;
	const char	*tlsreqcnf_cert_subject;
	const char	*tlsreqcnf_cert_issuer;
	uint		 tlsreqcnf_flags;
	uint		 tlsreqcnf_min_cipher_bits;
	uint		 tlsreqcnf_viol;
};

#define TLSREQ_FL_VRFD	0x0001u
#define TLSREQ_FL_ENCR	0x0002u

#define TLSREQ_VIOL_PERM	0x0001u
#define TLSREQ_VIOL_TEMP	0x0002u
#define TLSREQ_VIOL_421		0x0004u

#endif /* SM_TLSREQCNF_H */
